Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP_Message_Lite.cpp File Reference

`#include "GIOP_Message_Lite.h"`
`#include "debug.h"`
`#include "TAOC.h"`
`#include "ORB_Core.h"`
`#include "operation_details.h"`
`#include "TAO_Server_Request.h"`
`#include "GIOP_Message_Locate_Header.h"`
`#include "LF_Strategy.h"`
`#include "Transport.h"`
`#include "Transport_Mux_Strategy.h"`
`#include "Codeset_Manager.h"`
`#include "tao/GIOP_Message_Lite.i"`

Include dependency graph for GIOP_Message_Lite.cpp:

## Functions
const char * | get_rcsid_tao_GIOP_Message_Lite (const char *)
## Variables
const char * | rcsid_tao_GIOP_Message_Lite = get_rcsid_tao_GIOP_Message_Lite ( rcsid_tao_GIOP_Message_Lite )
const size_t | TAO_GIOP_LITE_HEADER_LEN = 5
const size_t | TAO_GIOP_LITE_MESSAGE_SIZE_OFFSET = 0
const size_t | TAO_GIOP_LITE_MESSAGE_TYPE_OFFSET = 4

## Function Documentation

const char* get_rcsid_tao_GIOP_Message_Lite | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_tao_GIOP_Message_Lite = get_rcsid_tao_GIOP_Message_Lite ( rcsid_tao_GIOP_Message_Lite )`[static]`

const size_t TAO_GIOP_LITE_HEADER_LEN = 5`[static]`

const size_t TAO_GIOP_LITE_MESSAGE_SIZE_OFFSET = 0`[static]`

const size_t TAO_GIOP_LITE_MESSAGE_TYPE_OFFSET = 4`[static]`